## ros-urdf 1.13.1

=== urdf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urdf)

find_package(Boost REQUIRED thread)
find_package(urdfdom REQUIRED)
find_package(urdfdom_headers REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  urdf_parser_plugin pluginlib rosconsole_bridge roscpp cmake_modules)


find_package(TinyXML REQUIRED)
find_package(TinyXML2 REQUIRED)

# Find version components
if(NOT urdfdom_headers_VERSION)
  set(urdfdom_headers_VERSION "0.0.0")
endif()
string(REGEX REPLACE "^([0-9]+).*" "\\1" URDFDOM_HEADERS_MAJOR_VERSION "${urdfdom_headers_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_MINOR_VERSION "${urdfdom_headers_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_REVISION_VERSION "${urdfdom_headers_VERSION}")
set(generated_compat_header "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/urdfdom_compatibility.h")
include_directories("${CATKIN_DEVEL_PREFIX}/include")
configure_file(urdfdom_compatibility.h.in "${generated_compat_header}" @ONLY)

add_compile_options(-std=c++11)

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include ${CATKIN_DEVEL_PREFIX}/include
  CATKIN_DEPENDS rosconsole_bridge roscpp
  DEPENDS urdfdom_headers urdfdom Boost TinyXML TinyXML2
)
install(FILES ${generated_compat_header} DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

include_directories(
  include
  ${Boost_INCLUDE_DIR}
  ${catkin_INCLUDE_DIRS}
  ${urdfdom_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS}
  ${TinyXML2_INCLUDE_DIRS}
  )

link_directories(${Boost_LIBRARY_DIRS} ${catkin_LIBRARY_DIRS})

add_library(${PROJECT_NAME} src/model.cpp src/rosconsole_bridge.cpp)
target_link_libraries(${PROJECT_NAME} ${TinyXML_LIBRARIES} ${TinyXML2_LIBRARIES} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES})

if(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE "URDF_BUILDING_LIBRARY")
endif()

if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest_gtest(test_urdf_parser test/test_robot_model_parser.launch test/test_robot_model_parser.cpp)
  target_link_libraries(test_urdf_parser ${PROJECT_NAME})

  catkin_add_gtest(urdfdom_compatibility_test test/urdfdom_compatibility.cpp)
  target_link_libraries(urdfdom_compatibility_test ${PROJECT_NAME})

  set_source_files_properties(test/test_model_parser_initxml.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
  catkin_add_gtest(test_model_parser_initxml test/test_model_parser_initxml.cpp)
  target_link_libraries(test_model_parser_initxml ${PROJECT_NAME})
endif()

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-urdf (1.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/patches/0002-Add-Debian-specific-SOVERSION.patch: refresh patch
  * debian/control: add missing dependency of liburdf-dev on libtinyxml2-dev
  * Use libtinyxml2 instead of libtinyxml
  * debian/control: add Rules-Requires-Root: no
  * debian/liburdf-parser-plugin-dev.install: install urdf_parser_plugin.pc to
    /usr/share/pkgconfig because it's architecture independent
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed)

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 19 Sep 2018 17:35:18 +0200

ros-urdf (1.12.12-1) unstable; urgency=medium

  * Initial release (Closes: #903651)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sat, 14 Jul 2018 08:25:06 +0200

=== debian/control ===
Source: ros-urdf
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin (>= 0.6.16-4), liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml2-dev, librostest-dev
Standards-Version: 4.2.1
Section: libs
Rules-Requires-Root: no
Homepage: http://wiki.ros.org/urdf
Vcs-Browser: https://salsa.debian.org/science-team/ros-urdf
Vcs-Git: https://salsa.debian.org/science-team/ros-urdf.git

Package: liburdf-dev
Section: libdevel
Architecture: any
Depends: liburdf0d (= ${binary:Version}), ${misc:Depends}, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, liburdfdom-headers-dev, liburdfdom-dev, libtinyxml2-dev
Description: Development files for ROS urdf library
 The Unified Robot Description Format (URDF) for the Robot Operating System
 (ROS) is an XML format for representing a robot model.
 This library provides a C++ parser for the URDF.
 .
 This package contains the development files for the library.

Package: liburdf0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS urdf library
 The Unified Robot Description Format (URDF) for the Robot Operating System
 (ROS) is an XML format for representing a robot model.
 This library provides a C++ parser for the URDF.
 .
 This package contains the library.

Package: liburdf-parser-plugin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liburdf-dev
Description: Development files for ROS urdf_parser_plugin library
 The Unified Robot Description Format (URDF) for the Robot Operating System
 (ROS) is an XML format for representing a robot model.
 .
 This package contains a C++ base class for URDF parsers.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-urdf-$1.tar.gz%" \
    https://github.com/ros/urdf/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-urdf 1.13.2

=== urdf/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.7)
 project(urdf)
 
 find_package(Boost REQUIRED thread)
@@ -22,12 +22,13 @@
 include_directories("${CATKIN_DEVEL_PREFIX}/include")
 configure_file(urdfdom_compatibility.h.in "${generated_compat_header}" @ONLY)
 
-add_compile_options(-std=c++11)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 catkin_package(
   LIBRARIES ${PROJECT_NAME}
   INCLUDE_DIRS include ${CATKIN_DEVEL_PREFIX}/include
-  CATKIN_DEPENDS rosconsole_bridge roscpp
+  CATKIN_DEPENDS pluginlib rosconsole_bridge roscpp
   DEPENDS urdfdom_headers urdfdom Boost TinyXML TinyXML2
 )
 install(FILES ${generated_compat_header} DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
@@ -63,15 +64,18 @@
   catkin_add_gtest(urdfdom_compatibility_test test/urdfdom_compatibility.cpp)
   target_link_libraries(urdfdom_compatibility_test ${PROJECT_NAME})
 
+  if(NOT MSVC)
   set_source_files_properties(test/test_model_parser_initxml.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
+  endif()
   catkin_add_gtest(test_model_parser_initxml test/test_model_parser_initxml.cpp)
   target_link_libraries(test_model_parser_initxml ${PROJECT_NAME})
 endif()
 
+# Install library
 install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
-  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
+  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
 
 install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-urdf (1.13.2-8) unstable; urgency=medium

  * Added patch for log4cxx.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 10:35:51 +0100

ros-urdf (1.13.2-7) unstable; urgency=medium

  * Define ROS_IP for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 23:54:31 +0200

ros-urdf (1.13.2-6) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 23:05:46 +0200

ros-urdf (1.13.2-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:44 +0200

ros-urdf (1.13.2-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 21:52:36 +0200

ros-urdf (1.13.2-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:07:08 +0100

ros-urdf (1.13.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 06:03:44 +0200

ros-urdf (1.13.2-1) experimental; urgency=medium

  * New upstream version 1.13.2
  * rebase patches
  * Update copyright
  * bump policy and debhelper versions
  * Bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 13:33:24 +0200

ros-urdf (1.13.1-2) unstable; urgency=medium

  * Switch to Python 3 (Closes: #938403)
  * simplify d/watch
  * add MA hint
  * switch to debhelper-compat and debhelper 12
  * Bump policy versions (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 20:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin (>= 0.6.16-4), liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml2-dev, librostest-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml2-dev, librostest-dev, libgtest-dev, python3-rostest <!nocheck>
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: http://wiki.ros.org/urdf
@@ -14,7 +14,8 @@
 Package: liburdf-dev
 Section: libdevel
 Architecture: any
-Depends: liburdf0d (= ${binary:Version}), ${misc:Depends}, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, liburdfdom-headers-dev, liburdfdom-dev, libtinyxml2-dev
+Multi-Arch: same
+Depends: liburdf1d (= ${binary:Version}), ${misc:Depends}, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, liburdfdom-headers-dev, liburdfdom-dev, libtinyxml2-dev, pluginlib-dev,
 Description: Development files for ROS urdf library
  The Unified Robot Description Format (URDF) for the Robot Operating System
  (ROS) is an XML format for representing a robot model.
@@ -22,7 +23,7 @@
  .
  This package contains the development files for the library.
 
-Package: liburdf0d
+Package: liburdf1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -36,6 +37,7 @@
 Package: liburdf-parser-plugin-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, liburdf-dev
 Description: Development files for ROS urdf_parser_plugin library
  The Unified Robot Description Format (URDF) for the Robot Operating System

=== debian/rules ===
#!/usr/bin/make -f

# for tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation urdf urdf/model.h
Restrictions: allow-stderr
Depends: liburdf-dev, g++, catkin

Test-Command: ./debian/tests/compilation urdf_parser_plugin urdf_parser_plugin/parser.h
Restrictions: allow-stderr
Depends: liburdf-parser-plugin-dev, g++, catkin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-urdf-$1.tar.gz%" \
    https://github.com/ros/urdf/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-urdf 1.13.4

=== urdf/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,9 @@
 include_directories("${CATKIN_DEVEL_PREFIX}/include")
 configure_file(urdfdom_compatibility.h.in "${generated_compat_header}" @ONLY)
 
-set(CMAKE_CXX_STANDARD 14)
+if(NOT DEFINED CMAKE_CXX_STANDARD OR "${CMAKE_CXX_STANDARD}" LESS 14)
+  set(CMAKE_CXX_STANDARD 14)
+endif()
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 catkin_package(

=== urdf_parser_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(urdf_parser_plugin)

find_package(catkin REQUIRED)
find_package(urdfdom_headers REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  DEPENDS urdfdom_headers 
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-urdf (1.13.4-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.13.4
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 17:16:31 +0200

ros-urdf (1.13.2-10) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Add missing tinxyml dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Oct 2024 14:34:25 +0100

ros-urdf (1.13.2-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Fri, 04 Oct 2024 00:53:24 +0200

=== debian/control ===
Source: ros-urdf
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros (>= 0.13.10~),
 catkin (>= 0.8.10-1~),
 libboost-thread-dev,
 libgtest-dev,
 librosconsole-bridge-dev,
 libroscpp-dev,
 librostest-dev,
 libtinyxml-dev,
 libtinyxml2-dev,
 liburdfdom-dev,
 liburdfdom-headers-dev,
 pluginlib-dev,
 python3-rostest <!nocheck>,
 ros-cmake-modules,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/urdf
Vcs-Browser: https://salsa.debian.org/science-team/ros-urdf
Vcs-Git: https://salsa.debian.org/science-team/ros-urdf.git

Package: liburdf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librosconsole-bridge-dev,
 libroscpp-dev,
 libtinyxml-dev,
 libtinyxml2-dev,
 liburdf1d (= ${binary:Version}),
 liburdfdom-dev,
 liburdfdom-headers-dev,
 pluginlib-dev,
 ros-cmake-modules,
 ${misc:Depends},
Description: Development files for ROS urdf library
 The Unified Robot Description Format (URDF) for the Robot Operating System
 (ROS) is an XML format for representing a robot model.
 This library provides a C++ parser for the URDF.
 .
 This package contains the development files for the library.

Package: liburdf-parser-plugin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liburdf-dev,
 ${misc:Depends},
Description: Development files for ROS urdf_parser_plugin library
 The Unified Robot Description Format (URDF) for the Robot Operating System
 (ROS) is an XML format for representing a robot model.
 .
 This package contains a C++ base class for URDF parsers.

Package: liburdf1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ROS urdf library
 The Unified Robot Description Format (URDF) for the Robot Operating System
 (ROS) is an XML format for representing a robot model.
 This library provides a C++ parser for the URDF.
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation urdf urdf/model.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 liburdf-dev,

Test-Command: ./debian/tests/compilation urdf_parser_plugin urdf_parser_plugin/parser.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 liburdf-parser-plugin-dev,

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: urdf
